Package org.postgresql.core

# Enum SqlCommandType

java.lang.Object
java.lang.Enum<SqlCommandType>
org.postgresql.core.SqlCommandType

All Implemented Interfaces:
  `Serializable`, `Comparable<SqlCommandType>`, `java.lang.constant.Constable`

public enum SqlCommandType extends Enum<SqlCommandType>
Type information inspection support.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALTER`
`BLANK`
Use BLANK for empty sql queries or when parsing the sql string is not necessary.
`CREATE`
`DELETE`
`INSERT`
`MOVE`
`SELECT`
`UPDATE`
`WITH`

## Method Summary

Modifier and Type
Method
Description
`static SqlCommandType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SqlCommandType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BLANK

public static final SqlCommandType BLANK
Use BLANK for empty sql queries or when parsing the sql string is not necessary.

### INSERT

public static final SqlCommandType INSERT

### UPDATE

public static final SqlCommandType UPDATE

### DELETE

public static final SqlCommandType DELETE

### MOVE

public static final SqlCommandType MOVE

### SELECT

public static final SqlCommandType SELECT

### WITH

public static final SqlCommandType WITH

### CREATE

public static final SqlCommandType CREATE

### ALTER

public static final SqlCommandType ALTER

## Method Details

### values

public static SqlCommandType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SqlCommandType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null